Bug 582536

Summary: Interface doesn't allow me to ensure if I enter password in correct keyboard layout
Product: [Fedora] Fedora Reporter: Roman Valov <reddot.rocks>
Component: anacondaAssignee: Anaconda Maintenance Team <anaconda-maint-list>
Status: CLOSED CURRENTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: 19CC: anaconda-maint-list, awilliam, bughunt, dcantrell, germano.massullo, jonathan, kparal, vanmeeuwen+fedora, ykopkova
Target Milestone: ---Keywords: Reopened
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-05-12 19:12:33 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Roman Valov 2010-04-15 05:26:12 EDT
Description of problem:
I'm running 13-beta anaconda installer. On the language/keyboard selection stage I've chosen Russian/Russian. Futhermore during setup screens I'm changing russian language to english using both shifts switch to enter hostname in english.
Next when installer prompts me to enter password, I'm not sure which layout is currently active and therefore not sure what password I've actually entered.

Version-Release number of selected component (if applicable):
13-beta

Expected results:
a) Show layout indicator
or
b) Add checkbox 'unhide password'
this is also useful because my radio-keyboard hasn't caps lock indicator
c) Just another not-hidden input field could be useful
Comment 1 Chris Lumens 2010-04-26 10:04:37 EDT
We are definitely not going to do (b).
Comment 2 Chris Lumens 2010-05-04 08:30:34 EDT
*** Bug 588648 has been marked as a duplicate of this bug. ***
Comment 3 Chris Lumens 2010-05-04 08:31:20 EDT
We've gotten suggestions in the past to add some sort of input field to the keyboard layout selection screen to allow testing the layout.  That seems to me to be a good way to accomplish this.
Comment 4 Kamil Páral 2010-05-04 08:42:13 EDT
Chris, if you read bug 571900 comment 24 you will see that a layout can be broken in such a way, that some key works (ýáíéú) and some don't (ěščřž). Text field for testing layout will not help me in this case unless I test every key available on the keyboard. Therefore it doesn't really help and "show password" would be much better and a much safer option. It is essential that I know the exact password to my system.

You can argue that I can use the input field and type the intended password there. But that's several screens back (is it even possible to go back there?). As stated in comment 1, caps-lock and other key modifiers may also influence the inputted text. Another reason for showing it on demand. So what's the real reason for not providing "show password" option? I don't understand it.
Comment 5 Kamil Páral 2011-03-01 11:00:39 EST
Still an issue in anaconda 15.20.1. It is customary to provide user an option to show the password on demand and anaconda should be no different. Disk encryption password is a very important field, filling it wrong without knowing is really inconvenient (one must repeat the whole installation process).
Comment 6 Chris Lumens 2011-05-19 09:25:18 EDT
*** Bug 681199 has been marked as a duplicate of this bug. ***
Comment 7 Bug Zapper 2011-06-02 11:20:28 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 David Tonhofer 2011-09-09 12:09:22 EDT
Bumping this bug.

This is a major problem on RHEL6 with European Keyboards of Different Kinds (AZERTY, QWERTZ and QWERTY and makes) on laptops and desktops working on the RHEL6 console via a KVM (which may or may not translate) and encrypted partitions and/or root password (as needed by linux rescue) formed by a complex string.

Actually, not only Anaconda but the linux rescue system should have an option to unhide passwords.

Chris Lumens says:

>>We are definitely not going to do (b).

I respectfully suggest that is actually the correct solution. 

Worrying about shoulder-surfing while working on the Linux console should not be a large risk consideration.

Related: Bruce Schneier "The Problem with Password Masking" 
  http://www.schneier.com/blog/archives/2009/06/the_problem_wit_2.html
Comment 9 Fedora End Of Life 2012-08-07 15:26:47 EDT
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Kamil Páral 2012-08-08 05:21:28 EDT
Let's reopen and move this to Rawhide to make sure this is taken into account in the new Anaconda UI.
Comment 11 Chris Lumens 2012-10-05 11:29:15 EDT
Should be better in newui.
Comment 12 Fedora End Of Life 2013-04-03 16:33:53 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 13 Adam Williamson 2013-05-12 19:12:33 EDT
Hey, it's the password masking controversy, 2010/2011 edition!

Anyhoo, F19 anaconda has a keyboard layout indicator displayed on the interface at all times, which should substantially improve things here. So I think we can reasonably close this.